# VuFind RVK-Tree Module

Introduction
------------

This module is an Open Source Software of the University Library Leipzig.
The module retrieve the data of [Regensburger Verbundklassifikation (RVK)](https://rvk.uni-regensburg.de/).

Installation
------------

**Composer**
Finc Repo [Module for RVK Search Tree](https://git.sc.uni-leipzig.de/ubl/finc/packages/rvk-tree.git)
!!!TODO: Add to packagist To Install by Composer
    
    php composer require finc\Rvktree
    
**VuFind**

*theme.config.php*

Write to the configuration a *mixins*-statement.

```
return [
  [...],
  'mixins' => [
    'rvktree'
  ],
  [...]
];
```

**Move new theme from vendor to themes directory**
*not necessary in finc: should work out-of-the-box as post post-install-cmd "copy-themes-force"*
*templates/**file**.phtml*


**register new module**
*not necessary in finc: should work out-of-the-box as post post-install-cmd "@dump-modules"*


Configuration
-------------

Create an optional configuration file in config folder to overwrite default settings, for example:

**rvktree.ini**

[RVKWidget]
apiUrl = "http://rvk.uni-regensburg.de/api/json/children/"

rvk[] = "A"<br />
rvk[] = "B"<br />
rvk[] = "CA - CK"<br />
rvk[] = "CL - CZ"<br />
rvk[] = "D"<br />
rvk[] = "E"<br />
rvk[] = "F"<br />
rvk[] = "G"<br />
rvk[] = "H"<br />
rvk[] = "I"<br />
rvk[] = "K"<br />
rvk[] = "LA - LC"<br />
rvk[] = "LD - LG"<br />
rvk[] = "LD,LH - LO"<br />
rvk[] = "LD,LP - LY"<br />
rvk[] = "MA - ML"<br />
rvk[] = "MN - MS"<br />
rvk[] = "N"<br />
...
